> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmentcompleted

> Appointment completed statuses - AppointmentStatus.NotStarted, AppointmentStatus.Completed

## "appointmentcompleted" MDO List

Appointment completed statuses: AppointmentStatus.NotStarted, AppointmentStatus.Completed

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AppointmentCompleted">AppointmentCompleted</see> class.
The name of the MDO list is 'appointmentcompleted'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmentcompleted
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmentcompleted", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 1  | No   |           |           |
| 3  | Yes  |           |           |

## Related MDO Lists

* "appointmentcompletedheadings"
* "appointmentcompletedheadingswithallitem"
* "appointmentcompletedheadingswithallitemwithnoselection"
* "appointmentcompletedheadingswithnoselection"
* "appointmentcompletedwithallitem"
* "appointmentcompletedwithallitemwithnoselection"
* "appointmentcompletedwithnoselection"


## Related topics

- [ContactPersonSelectionCombinedV2](/en/api/archive-providers/reference/contactpersonselectioncombinedv2.md)
- [ContactPersonSelectionV2](/en/api/archive-providers/reference/contactpersonselectionv2.md)
- [ContactPersonStaticSelectionV2](/en/api/archive-providers/reference/contactpersonstaticselectionv2.md)
- [ContactSelection](/en/api/archive-providers/reference/contactselection.md)
- [ContactSelectionCombined](/en/api/archive-providers/reference/contactselectioncombined.md)
- [ContactStaticSelection](/en/api/archive-providers/reference/contactstaticselection.md)
